org.apache.xmlgraphics.xmp.schemas

## Class DublinCoreAdapter

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchemaAdapter
  - - org.apache.xmlgraphics.xmp.schemas.DublinCoreAdapter

-     public class DublinCoreAdapter
      extends XMPSchemaAdapter

  Schema adapter implementation for the Dublin Core schema.

  Note: In Adobe's XMP specification dc:subject is defined as "bag Text", but in PDF/A-1 it is defined as "Text". Here it is implemented as "bag Text".

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DublinCoreAdapter(Metadata meta)` Constructs a new adapter for Dublin Core around the given metadata object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContributor(String value)` Adds a new entry to the list of contributors (other than the authors).
    `void` | `addCreator(String value)` Adds a new entry to the list of creators (authors of the resource).
    `void` | `addDate(Date value)` Adds a new entry to the list of dates indicating points in time something interesting happened to the resource.
    `void` | `addLanguage(String value)` Adds a new entry to the list of languages (RFC 3066).
    `void` | `addPublisher(String value)` Adds a new entry to the list of publishers.
    `void` | `addRelation(String value)` Adds a new entry to the list of relationships to other documents.
    `void` | `addSubject(String value)` Adds a new entry to the list of subjects (descriptive phrases or keywords that specify the topic of the content of the resource).
    `void` | `addType(String value)` Adds a new entry to the list of document types (for example: novel, poem or working paper).
    `String[]` | `getContributors()` Returns an array of all contributors.
    `String` | `getCoverage()` Returns the extent or scope of the resource.
    `String[]` | `getCreators()` Returns an array of all creators.
    `Date` | `getDate()` Returns a latest date indicating point in time something interesting happened to the resource.
    `Date[]` | `getDates()` Returns a list of dates indicating point in time something interesting happened to the resource.
    `String` | `getDescription()` Returns the description of the content of the resource (in the default language).
    `String` | `getDescription(String lang)` Returns the description of the content of the resource in a language-dependant way.
    `String` | `getFormat()` Returns the file format used when saving this resource.
    `String` | `getIdentifier()` Returns the unique identifier of the resource.
    `String[]` | `getLanguages()` Returns an array of languages.
    `String[]` | `getPublisher()` Returns an array of publishers.
    `String[]` | `getRelations()` Returns an array of all relationship to other documents.
    `String` | `getRights()` Returns the informal rights statement.
    `String` | `getRights(String lang)` Returns the informal rights statement in a language-dependant way.
    `String` | `getSource()` Returns unique identifier of the work from which this resource was derived.
    `String[]` | `getSubjects()` Returns an array of all subjects.
    `String` | `getTitle()` Returns the title of the resource (in the default language).
    `String` | `getTitle(String lang)` Returns the title of the resource in a language-dependant way.
    `String[]` | `getTypes()` Returns an array of all document types.
    `boolean` | `removeContributor(String value)` Removes an entry from the list of contributors.
    `boolean` | `removeCreator(String value)` Removes an entry from the list of creators (authors of the resource).
    `String` | `removeTitle(String lang)` Removes a title of the resource.
    `void` | `setCoverage(String value)` Sets the extent or scope of the resource.
    `void` | `setDescription(String lang, String value)` Sets the description of the content of the resource.
    `void` | `setFormat(String value)` Sets the file format used when saving the resource.
    `void` | `setIdentifier(String value)` Sets the unique identifier of the resource.
    `void` | `setRights(String lang, String value)` Sets the informal rights statement.
    `void` | `setSource(String value)` Sets the unique identifier of the work from which this resource was derived.
    `void` | `setTitle(String value)` Sets the title of the resource (in the default language).
    `void` | `setTitle(String lang, String value)` Sets the title of the resource.

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setDateValue, setLangAlt, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DublinCoreAdapter

          public DublinCoreAdapter(Metadata meta)

      Constructs a new adapter for Dublin Core around the given metadata object.
      Parameters:
        `meta` - the underlying metadata

  - ### Method Detail

    - #### addContributor

          public void addContributor(String value)

      Adds a new entry to the list of contributors (other than the authors).
      Parameters:
        `value` - the new value

    - #### removeContributor

          public boolean removeContributor(String value)

      Removes an entry from the list of contributors.
      Parameters:
        `value` - the value to be removed
      Returns:
        the removed entry

    - #### getContributors

          public String[] getContributors()

      Returns an array of all contributors.
      Returns:
        a String array of all contributors (or null if not set)

    - #### setCoverage

          public void setCoverage(String value)

      Sets the extent or scope of the resource.
      Parameters:
        `value` - the new value.

    - #### getCoverage

          public String getCoverage()

      Returns the extent or scope of the resource.
      Returns:
        the property value (or null if not set)

    - #### addCreator

          public void addCreator(String value)

      Adds a new entry to the list of creators (authors of the resource).
      Parameters:
        `value` - the new value

    - #### removeCreator

          public boolean removeCreator(String value)

      Removes an entry from the list of creators (authors of the resource).
      Parameters:
        `value` - the value to be removed
      Returns:
        the removed entry

    - #### getCreators

          public String[] getCreators()

      Returns an array of all creators.
      Returns:
        a String array of all creators (or null if not set)

    - #### addDate

          public void addDate(Date value)

      Adds a new entry to the list of dates indicating points in time something interesting happened to the resource.
      Parameters:
        `value` - the date value

    - #### getDates

          public Date[] getDates()

      Returns a list of dates indicating point in time something interesting happened to the resource.
      Returns:
        the list of dates or null if no dates are set

    - #### getDate

          public Date getDate()

      Returns a latest date indicating point in time something interesting happened to the resource.
      Returns:
        the last date or null

    - #### setDescription

          public void setDescription(String lang,
                            String value)

      Sets the description of the content of the resource.
      Parameters:
        `lang` - the language of the value ("x-default" or null for the default language)
        `value` - the new value

    - #### getDescription

          public String getDescription()

      Returns the description of the content of the resource (in the default language).
      Returns:
        the description of the content of the resource (or null if not set)

    - #### getDescription

          public String getDescription(String lang)

      Returns the description of the content of the resource in a language-dependant way.
      Parameters:
        `lang` - the language ("x-default" or null for the default language)
      Returns:
        the language-dependent value (or null if not set)

    - #### setFormat

          public void setFormat(String value)

      Sets the file format used when saving the resource. Tools and applications should set this property to the save format of the data. It may include appropriate qualifiers.
      Parameters:
        `value` - a MIME type

    - #### getFormat

          public String getFormat()

      Returns the file format used when saving this resource.
      Returns:
        the MIME type of the file format (or null if not set)

    - #### setIdentifier

          public void setIdentifier(String value)

      Sets the unique identifier of the resource.
      Parameters:
        `value` - the new value

    - #### getIdentifier

          public String getIdentifier()

      Returns the unique identifier of the resource.
      Returns:
        the unique identifier (or null if not set)

    - #### addLanguage

          public void addLanguage(String value)

      Adds a new entry to the list of languages (RFC 3066).
      Parameters:
        `value` - the new value

    - #### getLanguages

          public String[] getLanguages()

      Returns an array of languages.
      Returns:
        a String array of all languages (or null if not set)

    - #### addPublisher

          public void addPublisher(String value)

      Adds a new entry to the list of publishers.
      Parameters:
        `value` - the new value

    - #### getPublisher

          public String[] getPublisher()

      Returns an array of publishers.
      Returns:
        a String array of all publishers (or null if not set)

    - #### addRelation

          public void addRelation(String value)

      Adds a new entry to the list of relationships to other documents.
      Parameters:
        `value` - the new value

    - #### getRelations

          public String[] getRelations()

      Returns an array of all relationship to other documents.
      Returns:
        a String array of all relationships (or null if none are set)

    - #### setRights

          public void setRights(String lang,
                       String value)

      Sets the informal rights statement.
      Parameters:
        `lang` - the language of the value ("x-default" or null for the default language)
        `value` - the new value

    - #### getRights

          public String getRights()

      Returns the informal rights statement.
      Returns:
        the informal right statement (or null if not set)

    - #### getRights

          public String getRights(String lang)

      Returns the informal rights statement in a language-dependant way.
      Parameters:
        `lang` - the language ("x-default" or null for the default language)
      Returns:
        the language-dependent value (or null if not set)

    - #### setSource

          public void setSource(String value)

      Sets the unique identifier of the work from which this resource was derived.
      Parameters:
        `value` - the new value

    - #### getSource

          public String getSource()

      Returns unique identifier of the work from which this resource was derived.
      Returns:
        the source (or null if not set)

    - #### addSubject

          public void addSubject(String value)

      Adds a new entry to the list of subjects (descriptive phrases or keywords that specify the topic of the content of the resource).
      Parameters:
        `value` - the new value

    - #### getSubjects

          public String[] getSubjects()

      Returns an array of all subjects.
      Returns:
        a String array of all subjects

    - #### setTitle

          public void setTitle(String value)

      Sets the title of the resource (in the default language).
      Parameters:
        `value` - the new value

    - #### setTitle

          public void setTitle(String lang,
                      String value)

      Sets the title of the resource.
      Parameters:
        `lang` - the language of the value ("x-default" or null for the default language)
        `value` - the new value

    - #### getTitle

          public String getTitle()

      Returns the title of the resource (in the default language).
      Returns:
        the title of the resource (in the default language)

    - #### getTitle

          public String getTitle(String lang)

      Returns the title of the resource in a language-dependant way.
      Parameters:
        `lang` - the language ("x-default" or null for the default language)
      Returns:
        the language-dependent value (or null if not set)

    - #### removeTitle

          public String removeTitle(String lang)

      Removes a title of the resource.
      Parameters:
        `lang` - the language variant to be removed
      Returns:
        the previously set value or null if this language variant wasn't set

    - #### addType

          public void addType(String value)

      Adds a new entry to the list of document types (for example: novel, poem or working paper).
      Parameters:
        `value` - the new value

    - #### getTypes

          public String[] getTypes()

      Returns an array of all document types.
      Returns:
        a String array of all document types (or null if not set)

Copyright 1999-2014 The Apache Software Foundation. All Rights Reserved.